@import "styleguide/breakpoints";

.app-header {
  display: flex;
  height: 104px;
  border-bottom: solid 1px var(--dark-green-blue);
  padding-left: 30px;
  padding-right: 30px;

  @media (max-width: $breakpoint-md) {
    margin-top: 16px;
    border-bottom: none;
    height: auto;
  }

  &__container {
    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: space-between;
    height: 104px;

    a {
      img {
        max-width: 173px;
        height: 34px;
        text-decoration: none;

        @media (max-width: $breakpoint-md) {
          max-width: 130px;
        }
      }

      span {
        margin-left: 5px;
        vertical-align: super;
        font-size: 14px;
      }
    }

    .buttons {
      display: flex;
      align-items: center;
      flex-direction: row;

      button {
        font-size: 18px;

        @media (min-width: $breakpoint-md) {
          margin-right: 20px;
        }

        @media (max-width: $breakpoint-md) {
          height: 40px;
          font-weight: 400;
          font-size: 16px;
          padding: 0;
        }
      }
    }
  }

  &__menu {
    img {
      height: 19px;
      vertical-align: text-bottom;
    }

    strong {
      font-size: 16px;

      > div {
        display: inline-block;
      }
    }
  }

  .custom-sign-in {
    height: 50px;
    margin-left: 20px;
    background-color: var(--kelley-green);
    font-size: 18px;
    font-weight: 500;
    color: var(--light);
    border: 1px solid transparent;
    display: flex;
    align-items: center;

    &:hover {
      background-color: transparent;
      color: var(--kelley-green);
      border: solid 1px var(--kelley-green);
      cursor: pointer;
    }

    &__backdrop {
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      z-index: 999;
      position: fixed;
      background: rgba(0, 0, 0, 0.6);
    }

    &__container {
      display: flex;
      flex-direction: column;
      background-color: var(--dark-slate-blue);
      border: solid 1px var(--dark-green-blue);
      padding: 4rem;
      border-radius: 10px;
      z-index: 1100;
      position: fixed;
      left: 50%;
      top: 50%;
      transform: translate(-50%, -50%);
    }

    &__title {
      font-size: 31px;
      font-weight: 600;
      color: var(--green);
    }

    &__input {
      width: 100%;
      border: solid 1.7px var(--dark-green-blue);
      background-color: var(--box-no-style-dark);
      font-size: 18px;
      margin-bottom: 10px;
    }

    &__button {
      height: 50px;
      background-color: var(--kelley-green);
      font-size: 18px;
      font-weight: 500;
      color: var(--light);
      border: 1px solid transparent;

      &:hover {
        background-color: transparent;
        color: var(--kelley-green);
        border: solid 1px var(--kelley-green);
        cursor: pointer;
      }

      &:first-child {
        margin-left: 20px;
      }
    }
  }

  .dropdown {
    display: flex;
    font-size: 16px;
    color: var(--light);
    height: 50px;

    @media (max-width: $breakpoint-md) {
      height: 35px;
      padding-left: 0;
    }

    .option {
      display: flex;
      align-items: center;
    }

    .optionIcon {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 30px;

      @media (max-width: $breakpoint-md) {
        width: 15px;
      }
    }

    .optionLabel {
      font-size: 18px;

      @media (max-width: $breakpoint-md) {
        padding-left: 6px;
        font-size: 12px;
      }
    }
  }
}

.disclaimer-form {
  .modal-content {
    padding: 3rem 4rem;
    background-color: var(--light);
    border-radius: 0;
    font-size: 25px;
    line-height: 1.32;
    letter-spacing: 0.35px;

    @media (max-width: $breakpoint-sm) {
      padding: 1rem 1.5rem;
      font-size: 18px;
    }

    h2 {
      margin-bottom: 1.3rem;
      color: var(--kelley-green);
    }

    .form-check {
      margin: 1.7rem 0;
      padding-left: 1.9rem;

      label {
        font-size: 25px;
        font-weight: 300;
        letter-spacing: 0.35px;
        color: var(--box-no-style-dark);

        @media (max-width: $breakpoint-sm) {
          font-size: 18px;
        }
      }

      input {
        transform: scale(2);
        margin-top: 0.5rem;
        margin-left: -1.6rem;

        @media (max-width: $breakpoint-sm) {
          transform: scale(1.5);
          margin-top: 0.5rem;
          margin-left: -1.6rem;
        }
      }
    }

    .modal-footer {
      .btn {
        width: 100%;
        margin: 0;

        @media (max-width: $breakpoint-sm) {
          font-size: 1rem;
          padding: 0.5rem 1.6rem;
        }

        &:disabled:not(:hover) {
          border-color: var(--gray);
          color: var(--gray);
        }
      }
    }
  }
}
